## com.lowagie.text.html
Class HtmlParser

    java.lang.Object
      com.lowagie.text.xml.XmlParser
          com.lowagie.text.html.HtmlParser

    public class HtmlParser

extends XmlParser

This class can be used to parse some HTML files.

Field Summary

Fields inherited from class com.lowagie.text.xml.XmlParser
`parser`

Constructor Summary
`HtmlParser()` Constructs an HtmlParser.

Method Summary
`void` `go(DocListener document, org.xml.sax.InputSource is)` Parses a given file.
`void` `go(DocListener document, java.io.InputStream is)` Parses a given file.
`void` `go(DocListener document, java.io.Reader is)` Parses a given file.
`void` `go(DocListener document, java.lang.String file)` Parses a given file.
`static void` `parse(DocListener document, org.xml.sax.InputSource is)` Parses a given file that validates with the iText DTD and writes the content to a document.
`static void` `parse(DocListener document, java.io.InputStream is)` Parses a given file that validates with the iText DTD and writes the content to a document.
`static void` `parse(DocListener document, java.io.Reader is)` Parses a given file that validates with the iText DTD and writes the content to a document.
`static void` `parse(DocListener document, java.lang.String file)` Parses a given file that validates with the iText DTD and writes the content to a document.

Methods inherited from class com.lowagie.text.xml.XmlParser
`go, go, go, go, go, parse, parse, parse, parse, parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlParser

    public HtmlParser()

  Constructs an HtmlParser.

Method Detail

### go

    public void go(DocListener document,
                   org.xml.sax.InputSource is)

  Parses a given file.

  Overrides:
    `go` in class `XmlParser`
  Parameters:
    `document` - the document the parser will write to
    `is` - the InputSource with the content

### parse

    public static void parse(DocListener document,
                             org.xml.sax.InputSource is)

  Parses a given file that validates with the iText DTD and writes the content to a document.

  Parameters:
    `document` - the document the parser will write to
    `is` - the InputSource with the content

### go

    public void go(DocListener document,
                   java.lang.String file)

  Parses a given file.

  Overrides:
    `go` in class `XmlParser`
  Parameters:
    `document` - the document the parser will write to
    `file` - the file with the content

### parse

    public static void parse(DocListener document,
                             java.lang.String file)

  Parses a given file that validates with the iText DTD and writes the content to a document.

  Parameters:
    `document` - the document the parser will write to
    `file` - the file with the content

### go

    public void go(DocListener document,
                   java.io.InputStream is)

  Parses a given file.

  Parameters:
    `document` - the document the parser will write to
    `is` - the InputStream with the content

### parse

    public static void parse(DocListener document,
                             java.io.InputStream is)

  Parses a given file that validates with the iText DTD and writes the content to a document.

  Parameters:
    `document` - the document the parser will write to
    `is` - the InputStream with the content

### go

    public void go(DocListener document,
                   java.io.Reader is)

  Parses a given file.

  Parameters:
    `document` - the document the parser will write to
    `is` - the Reader with the content

### parse

    public static void parse(DocListener document,
                             java.io.Reader is)

  Parses a given file that validates with the iText DTD and writes the content to a document.

  Parameters:
    `document` - the document the parser will write to
    `is` - the Reader with the content